set -x

export ffmpegPath=$workDir/ffmpeg
export amfPath=$workDir/amf

git clone https://github.com/FFmpeg/FFmpeg -b release/6.0 $ffmpegPath --depth 1

git clone https://github.com/GPUOpen-LibrariesAndSDKs/AMF -b v1.4.29 $amfPath --depth 1

cd $ffmpegPath

# git am ../../patches/ffmpeg/*

cp -r $amfPath/amf/public/include $PREFIX/include/AMF

make distclean

flags="--cc=$CC --cxx=$CXX"

CFLAGS="-static-libgcc -static-libstdc++ -static -I$PREFIX/include/mfx" \
CXXCLAGS="-static-libgcc -static-libstdc++ -static -I$PREFIX/include/mfx" \
LDFLAGS="-static-libgcc -static-libstdc++ -static" \
  ./configure --disable-gpl --disable-nonfree --disable-doc \
  --disable-ffprobe --disable-ffplay --enable-ffmpeg --enable-static --disable-shared \
  --enable-libopenh264 \
  --prefix=$PREFIX --enable-cross-compile --arch=$ARCH \
  --pkg-config-flags="--static" --target-os=$FFMPEG_OS \
  ${flags} ${FFBUILD_FLAGS}

make -j$JOBS

cp ffmpeg* $outDir
